﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Xml;
using Telerik.Web.UI;

public partial class TabStripDisappearing : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    protected void Page_PreRender(object sender, EventArgs e)
    {
        // RadTabStrip1.SelectedIndex = 0;
    }
    protected void RadTabStrip1_Load(object sender, EventArgs e)
    {
        var ds = new XmlDataSource();
        ds.DataFile = "~/App_Data/tab.xml";
        ds.XPath = "TabStrip/Tab";
        var tabStrip = (sender as RadTabStrip);
        tabStrip.DataSource = ds;
        tabStrip.DataTextField = "Text";
        tabStrip.DataValueField = "Value";
        tabStrip.DataNavigateUrlField = "Value";
        tabStrip.DataBind();
    }


    protected void RadTabStrip1_TabClick(object sender, RadTabStripEventArgs e)
    {
        Response.Redirect(e.Tab.NavigateUrl);
    }
    protected void RadTabStrip1_TabDataBound(object sender, RadTabStripEventArgs e)
    {
        var item = (XmlElement)e.Tab.DataItem;
        var isBreak = item.Attributes["IsBreak"];
        if (isBreak != null)
        {
            e.Tab.IsBreak = true;
        }
    }
}